class AudioState {
  static const int Stopped = 0,
      Starting = 1,
      Decoding = 2,
      Frozen = 3,
      Failed = 4;
}

class AgoraSettings {
  final String callType;
  final bool isBroadcast;
  final bool isBroadcastHost;
  final bool isAudioMuted;
  final bool isVideoMuted;
  final bool isSpeakerOn;

  AgoraSettings(this.callType, this.isBroadcast, this.isBroadcastHost,
      this.isAudioMuted, this.isVideoMuted, this.isSpeakerOn)
      : assert(isBroadcastHost != null &&
            isBroadcastHost &&
            isBroadcast != null &&
            isBroadcast);

  AgoraSettings.named({
    this.callType,
    this.isBroadcast,
    this.isBroadcastHost,
    this.isAudioMuted,
    this.isVideoMuted,
    this.isSpeakerOn,
  }) : assert(isBroadcastHost != null && isBroadcast != null);

  bool get isVideo => callType == AgoraCallType.VIDEO;
}

class AgoraCallType {
  static const String AUDIO = "audio";

  static const String VIDEO = "video";
}

class VideoState {
  static const int Stopped = 0,
      Starting = 1,
      Decoding = 2,
      Frozen = 3,
      Failed = 4;
}

class AgoraConnectionState {
  static const int Disconnected = 1,
      Connecting = 2,
      Connected = 3,
      Reconnecting = 4,
      Aborted = 5;
}
